LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
06896Bug reports[All Projects] Central participant databasepublic2012-11-19 12:222012-12-21 13:31
Reporterreinier_post 
Assigned Tomdekker 
PriorityhighSeveritymajor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.00+ 
Summary06896: cannot add users to a fresh LimeSurvey installation
DescriptionAdding a user with the Add User button fails.
Steps To ReproduceInstall LimeSurvey (using the wizard).
Go to the screen for adding new users (index.php/admin/user/index).
Fill in the fields with correct values for a new user and press Add User.
A message appears: 'The user name already exists.' But it doesn't.
Additional InformationThe error message (set at application/controllers/admin/useraction.php.orig:166) is incorrect: User::model()->insertUser (called on line 104) is failing for a different reason, namely, the failure of beforeSave() defined at pplication/models/User.php:107 Making it return true doesn't fix the problem, however: the insertion will fail further on in CActiveRecord->insert on the line $table=$this->getMetaData()->tableSchema;

This is where I gave up, as I've never seen this code before.
I will donate to the project if issue is resolved within 48 hrsYes
LimeSurvey build number OR git commit ID121117
BrowserFireFox 16.0.2
Database & DB-VersionMySQL 5.0.45
Operating System (Server)Fedora 8
Webserver software & versionApache 2.2.9
PHP Version5.2.6
Attached Files

- Relationships
related to 06886closedc_schmitz Admin password reseted after language changed 
has duplicate 06897closedc_schmitz Adding a user fails 
has duplicate 06902closedc_schmitz Unable to add user under "Manage survey administrators" 

-  Notes
User avatar (22314)
mdekker (developer)
2012-11-19 12:39

Could you try to add the following line at the end of the beforeSave()?

return parent::beforeSave();
User avatar (22315)
mdekker (developer)
2012-11-19 12:45

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10361 [^]
User avatar (22318)
mdekker (developer)
2012-11-19 13:14

Fix committed to 2.1 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10363 [^]
User avatar (22321)
mdekker (developer)
2012-11-19 16:14

@reinier_post:
Let's keep discussion here so it will be preserved with the bug

Are you on master? In my install also with mysql i get no error but a failure message on the email sending and the user is created just fine. Could you set debug in application/config.php to 2 and add the trace here?
User avatar (22325)
mdekker (developer)
2012-11-20 10:19
edited on: 2012-11-20 10:20

As people are waiting for the fix and it seems to work at least for some users I am closing this bug for now. Feel free to open a new ticket if after release later today the problem persists.

User avatar (23320)
reinier_post (reporter)
2012-12-20 18:31
edited on: 2012-12-20 18:33

I don't actually want to reopen this issue, just report it as fixed;
tested with the latest version (limesurvey200plus-build121213).

User avatar (23340)
mdekker (developer)
2012-12-21 13:31

Thanks for reporting back

- Related Changesets
LimeSurvey: master 1bcd0f0a
Timestamp: 2012-11-19 11:44:54
Author: mdekker
Committer: Menno Dekker
Details ] Diff ]
Fixed 06896: cannot add users to a fresh LimeSurvey installation
mod - application/models/User.php Diff ] File ]
LimeSurvey: 2.1 fbc4ed63
Timestamp: 2012-11-19 12:14:41
Author: mdekker
Committer: Menno Dekker
Details ] Diff ]
Fixed 06896: cannot add users to a fresh LimeSurvey installation
mod - application/models/User.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-11-19 12:22 reinier_post New Issue
2012-11-19 12:22 reinier_post Status new => assigned
2012-11-19 12:22 reinier_post Assigned To => jcleeland
2012-11-19 12:38 mdekker Assigned To jcleeland => mdekker
2012-11-19 12:39 mdekker Note Added: 22314
2012-11-19 12:42 mdekker Relationship added related to 06886
2012-11-19 12:45 mdekker Changeset attached => LimeSurvey master 1bcd0f0a
2012-11-19 12:45 mdekker Note Added: 22315
2012-11-19 12:45 mdekker Resolution open => fixed
2012-11-19 12:51 c_schmitz Relationship added has duplicate 06897
2012-11-19 13:14 mdekker Changeset attached => LimeSurvey 2.1 fbc4ed63
2012-11-19 13:14 mdekker Note Added: 22318
2012-11-19 13:15 mdekker Status assigned => resolved
2012-11-19 13:15 mdekker Fixed in Version => 2.00+
2012-11-19 16:14 mdekker Note Added: 22321
2012-11-19 16:14 mdekker Status resolved => feedback
2012-11-19 16:14 mdekker Resolution fixed => reopened
2012-11-19 16:47 c_schmitz Relationship added has duplicate 06902
2012-11-20 10:19 mdekker Note Added: 22325
2012-11-20 10:19 mdekker Status feedback => resolved
2012-11-20 10:19 mdekker Resolution reopened => fixed
2012-11-20 10:20 mdekker Note Edited: 22325 View Revisions
2012-11-20 13:19 c_schmitz Status resolved => closed
2012-12-20 18:31 reinier_post Note Added: 23320
2012-12-20 18:31 reinier_post Status closed => feedback
2012-12-20 18:31 reinier_post Resolution fixed => reopened
2012-12-20 18:33 reinier_post Note Edited: 23320 View Revisions
2012-12-21 13:31 mdekker Note Added: 23340
2012-12-21 13:31 mdekker Status feedback => closed
2012-12-21 13:31 mdekker Resolution reopened => fixed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker